<div class="vw-100 h-100 d-flex flex-column justify-content-center align-items-center" style="background-color:#14B6F4">
    <div class="w-100 h-100 d-flex flex-row justify-content-center align-items-center">
        <div class="h-100 col-md-4 d-flex flex-column justify-content-around align-items-center">
            <img src="../../assets/whatPeople.svg" alt="What people think titre" id="titreVert">

            <div class="w-100 col-md-10 questions flex-column justify-content-center  align-items-center ">
                <tbody>
                    <tr *ngFor="let question of questions; let i = index">
                        <td [class.active]="this.selectedIndex == i" (click)="setSelectedQuestion(i)">
                            {{ question.question }}</td>

                    </tr>
                </tbody>

            </div>
        </div>
        <div class="col-md-8">
            <div class="d-flex flex-row justify-content-center align-items-center">
                <div class="d-flex flex-column">
                    <div></div>
                    <div *ngIf="(this.currentQuestion | async) != null" id="what_question">
                        {{ (this.currentQuestion | async).question }}
                    </div>


                    <div class="questionBox p-3">

                        <form [formGroup]="this.questionService.formAnswer"
                            *ngIf="(this.currentQuestion | async) != null" (ngSubmit)="onSubmit()">
                            <div class="form-group">
                                <label for="question">Please answer this question </label>
                                <div *ngIf="(this.currentQuestion | async) != null" id="what_question_blue">
                                    {{ (this.currentQuestion | async).question }}
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="option">What do you think ?</label>
                                <select name="opinion" id="opinion" formControlName="option"
                                    [(ngModel)]="this.formControlAnswer.option" required>
                                    <option>{{(this.currentQuestion | async).option1}}</option>
                                    <option>{{(this.currentQuestion | async).option2}}</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="age">What is your age?</label>
                                <input type="number" id="age" name="age" placeholder="Your age" formControlName="age"
                                    [(ngModel)]="this.formControlAnswer.age" required>
                            </div>

                            <div class="form-group">
                                <label for="gender">What is your gender</label>
                                <select name="gender" id="gender" formControlName="gender"
                                    [(ngModel)]="this.formControlAnswer.gender" required>
                                    <option>male</option>
                                    <option>female</option>
                                    <option>trans woman</option>
                                    <option>trans man</option>
                                    <option>questionning</option>
                                    <option>other</option>
                                    <option>nonbinary</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label>Where you at ? </label>
                                <input type="text" id="lat" name="lat" placeholder="What is your lattitude"
                                    formControlName="lat" [(ngModel)]="this.formControlAnswer.lat" required>
                                <input type="text" id="lon" name="lon" placeholder="What is your longitude"
                                    formControlName="lon" [(ngModel)]="this.formControlAnswer.lon" required>

                            </div>

                            <div class="d-flex flex-row">
                                <div class="btn btn-primary mx-auto"
                                    [class.disabled]="!controlSuccessful() || formSubmitted" (click)="onSubmit()">
                                    Answer</div>
                            </div>

                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>